import { AfterViewInit, OnDestroy } from '@angular/core';
import { KbqOption } from '@koobiq/components/core';
import { KbqTooltipTrigger } from '@koobiq/components/tooltip';
import * as i0 from "@angular/core";
export declare class KbqOptionTooltip extends KbqTooltipTrigger implements AfterViewInit, OnDestroy {
    private option;
    private resizeObserver;
    private resizeObserverSubscription;
    private contentObserver;
    private contentObserverSubscription;
    get textElement(): HTMLElement;
    get isOverflown(): boolean;
    constructor(option: KbqOption);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    onMouseEnter(): void;
    onMouseLeave(): void;
    onFocus(): void;
    onBlur(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<KbqOptionTooltip, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<KbqOptionTooltip, "kbq-option", never, {}, {}, never, never, false, never>;
}
